Bug 857755 - kernel 3.5.3-1.fc17.x86_64 Tainted and Panic after playing video
kernel 3.5.3-1.fc17.x86_64 Tainted and Panic after playing video
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-16 15:18 EDT by Dale Turner
Modified: 2013-08-01 09:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 09:48:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The /var/log/messages describing above (11.23 KB, text/plain)
2012-09-16 15:18 EDT, Dale Turner
no flags Details

  None (edit)
Description Dale Turner 2012-09-16 15:18:43 EDT
Created attachment 613498 [details]
The /var/log/messages describing above

Description of problem:
Kernel Tainted and Panic After Playing Video (VLC and MPlayer)

Version-Release number of selected component (if applicable):
kernel 3.5.3-1.fc17.x86_64

How reproducible:
Not yet sure. Happened at least twice.

Steps to Reproduce:
1.Play webm video in VLC or MPlayer.
2.Watched and seeked through video.
3.Quit VLC then system hung
Actual results:
System hung. Dropped to text mode. Printed kernel dump stating Xorg tainted and kernel panic. Had to reboot.

Expected results:
Normal system use without crashing

Additional info:
Comment 1 Dave Jones 2012-09-18 11:59:49 EDT
X tried to read some file, and the kernel faulted on this instruction..

   0:	48 83 be 38 01 00 00 	cmpq   $0x0,0x138(%rsi)

But that register is..

RSI: 3800ffff88014e7d 

That gobbledegook is a pointer that has been rotated right 16 bits. Weird.

What graphics card do you have ?
Comment 2 Dale Turner 2012-09-18 13:01:30 EDT
I have an A8-3870K using onboard/integrated video. No actual video card. I just upgraded my kernel to the newest on Koji. I will have to test to see if that helps. I will report back.

Another thing I was looking at was using the proprietary driver but that seems like mission impossible.

Thanks for the help and quick response.
Comment 3 Dave Jones 2012-09-18 13:27:55 EDT
using the proprietary driver would get you into "we can't help you" territory pretty quickly, so for now let's try and get to the bottom of why the open driver is failing.

as far as I can tell, that's a radeon of some kind, so I'll reassign to the maintainers of that driver, and see if they have any ideas.
Comment 4 Dale Turner 2012-09-18 16:54:06 EDT
Sounds good. I can't get the proprietary driver working anyway.
Comment 5 Dale Turner 2012-09-23 20:52:54 EDT
Now using kernel 3.5.4-1.fc17.x86_64. I have not experienced the problem since updating.
Comment 6 Fedora End Of Life 2013-07-04 00:31:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 09:48:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.